Subject: bug#24538: 25.1; 25.1: load-library js reports error: defconst: Symbol’s value as variable is void: sgml-name-re

From: Milan Zimmermann <[email-masked]>
Date: Mon, 26 Sep 2016 15:12:58 -0400

I can confirm this issue is related to OpenSUSE. I am on OpenSUSE, and
had, a long time ago, installed a OpenSUSE package "xslide" (via
Yast). This pulled in another package named "psgml". Uninstalling
xslide and psgml, the problem is gone. I suppose I need to file this
as an OpenSUSE bug instead, although I do not fully understand the
interaction of "psgml" and the emacs built-in  sgml-mode.

Thanks for the follow up, please go ahead and mark this issue as not a
bug from emacs end.

Thanks,
Milan

On Sun, Sep 25, 2016 at 8:31 AM,  <[email-masked]> wrote:
> tags 24538 unreproducible
> quit
>
> Andreas Schwab <[email-masked]> writes:
>
>> On Sep 25 2016, Milan Zimmermann <[email-masked]> wrote:
>>
>>> I was getting errors loading javascript-mode, reporting error on sgml-name-re.
>>>
>>> After doing some searches, I decided to just try:
>>>
>>> M-x: load-library
>>> js
>>>
>>> This results in this error:
>>>
>>> defconst: Symbol’s value as variable is void: sgml-name-re
>>
>> Worksforme.
>
> Same here.
>
>> This variable is defined by sgml-mode, which is required by
>> js.
>
> I was going to suggest another sgml-mode.el shadowing the builtin one,
> but it doesn't show up in the OP's Load-path shadows list.